import httpRequestApi from '../../../utils/APIClient';
import {
  formatDate
} from '../../../utils/util';
Page({
  /**
   * 页面的初始数据
   */
  data: {
    user: {},
    sexs: [],
    occupations: [],
    date: '',
    msg: '',
    nickname: '',
    gradeIndex: 0,
    gradeArray: ['一年级', '二年级', '三年级','四年级', '学前班'],
    gradeCode: '',
    statusbarobj: {
      isshowbtn: false, //是否显示按钮
      title: "小学语文朗读配音", //标题
    },
    gradeObject: [{
        code: 'PRIMARY_FIRST_GRADE',
        name: '一年级'
      },
      {
        code: 'PRIMARY_SECOND_GRADE',
        name: '二年级'
      },
      {
        code: 'PRIMARY_THREE_GRADE',
        name: '三年级'
      },
      {
        code: 'PRIMARY_SENIOR_GRADE',
        name: '四年级'
      },
      {
        code: 'PRESCHOOL',
        name: '学前班'
      }
    ],
  },
  chooseGrade: function (e) {
    console.log('选择年级')
  },
  saveNickName: function (e) {
    let nickname = e.detail.value;
    this.setData({
      nicename: nickname
    });
  },
  saveAddress: function (e) {
    let msg = e.detail.value;
    this.setData({
      msg: msg
    });
  },
  bindDateChange: function (e) {
    console.log(e.detail.value)
    this.setData({
      date: e.detail.value
    });
  },
  optionAction: function (e) {
    console.log(e.detail.value);
  },
  optionSetting: function (e) {
    console.log(e.detail.value);
  },
  changeAvatar: function (e) {
    const _this = this;
    wx.chooseImage({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['album', 'camera'],
      success(res) {
        // tempFilePath可以作为img标签的src属性显示图片
        const localImage = res.tempFilePaths[0];
        wx.uploadFile({
          url: 'https://reader-api.ai160.com/file/upload',
          filePath: localImage,
          name: '头像',
          header: {
            uid: wx.getStorageSync('uid')
          },
          success: (res) => {
            // console.log(JSON.parse(res.data));
            const newAvatar = JSON.parse(res.data).data;
            const str = 'user.avatar'
            _this.setData({
              [str]: newAvatar
            })
          }
        })
      }
    })
  },
  formSubmit: function (e) {
    console.log(e.detail.value)
    console.log(e)
    if (e.detail.value.nickname === '') {
      return false
    }
    // const uid = wx.getStorageSync('uid');
    const data = {
      wechatName: e.detail.value.nickname || '',
      gender: e.detail.value.radioGroup1,
      schoolName: e.detail.value.address || '',
      birthday: e.detail.value.picker || '',
      avatar: this.data.user.avatar,
      grade: this.data.gradeCode
    }
    httpRequestApi.settingUserInfo(data).success(res => {
      console.log(res.data.data); //修改资料成功后 调用 getUserInfo
      // wx.redirectTo({
      //   url: '/pages/index/index?index=3'
      // });
      wx.setStorageSync('user', res.data.data);
      wx.setStorageSync('grade', res.data.data.grade);
      wx.navigateBack({
        delta: 1
      })
    });
  },
  bindGradeChange: function (e) {
    console.log('年级选择', e)
    this.setData({
      gradeIndex: e.detail.value,
      gradeCode: this.data.gradeObject[e.detail.value].code
    }, () => {
      console.log(this.data.gradeCode)
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  getUserInfo: function () {

  },
  onLoad: function (option) {
    httpRequestApi.getUserInfo().success(res => {
      const user = res.data.data;
      let gradeIndex = 0;
      this.data.gradeObject.forEach((item, index) => {
        console.log('年级index', item)
        console.log('年级index', item)
        if (item.code === user.grade) {
          console.log('年级index', index)
          gradeIndex = index
        }
        console.log(user)
        const birthday = user.birthday ? formatDate(user.birthday, 2) : '2018-01-01';
        console.log(birthday)
        this.setData({
          user: user,
          date: birthday,
          sexs: [{
              value: 2,
              checked: user.gender === 2 ? true : false,
              sex: '女'
            },
            {
              value: 1,
              checked: user.gender === 1 ? true : false,
              sex: '男'
            }
          ],
          occupations: [{
              value: '家长',
              checked: user.profession === '家长' ? true : false
            },
            {
              value: '老师',
              checked: user.profession === '老师' ? true : false
            },
            {
              value: '学生',
              checked: user.profession === '学生' ? true : false
            }
          ],
          gradeIndex
        })
      })
      console.log(this.data.date)
      if (option.title) {
        wx.setNavigationBarTitle({
          title: option.title //页面标题为路由参数
        });
        this.setData({
          title: option.title
        });
      }
      httpRequestApi.userIntoPage('pages/user/myEdit/myEdit', '修改资料页面').success((res) => {

      })
    });

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})